% FPM demonstration program

% load character sequence
seq = loadseqchar('laser.trs');
seq_train = seq(1:8000);
seq_test = seq(8001:10000);

% create FPM from sequence 'seq'
% use 500 clustres 
% remove initial 100 steps from 'fractal' activities

% K-menas parameters
% set EMstep learning rate to 0.05 
% set maximal kmenas epoch count to 30 (1st alternative stop condition)
% set sufficiently small cluster displacement during epoch to 1.0e-5 (2nd alternative stop condition)
[clusters, prob] = fpmcreate(seq_train, 'abcd', 500, 100, 0.05, 30, 1.0e-5);

% test FPM next-symbol prediction quality 
% given created FPM (clusters and their next symbol probabilities), 
% remove initial 100 steps from 'fractal' activities
% deal with small probabilities by using Laplace correction (nnl takes log of prob.)
% Lapl. corr. set to 0.0 = set correction parameter authomatically 
[mse, nnl] = fpmtest(seq_test, 'abcd', clusters, prob, 100, 0.0);

% display prediction mean square error 
fprintf('Predictive mean square error is %f\n', mse);

% display nnl (normalized negative log-likelyhood)
% nnl can be watched as compression ratio obtained using FPM
fprintf('NNL is %f\n', nnl);
