function oseq = loadseqohe(filename)
% LOADSEQOHE - loads file filled with symbols (characters) into one-hot-encoded sequence  

% try open file
[fid, msg] = fopen(filename, 'r');
if fid == -1,
   error(sprintf('Error opening file %s (%s)',filename, msg));
end;

% load character array and close file
seq = fscanf(fid, '%s');
fclose(fid);

% check length of character array
slen = length(seq);
if slen < 1,
   error(sprintf('No symbols in file %s', filename));
end;

% get all symbols and their positions (indeces) in character array
[sym, dmy, indseq] = unique(seq);

% create codes and output one-hot-encoded sequence
codes = eye(length(sym));
oseq = codes(:,indseq);

