function  prob = fpmcreateprob(next_sym_seq, inp_act, clusters, min_prob)
% FPMPROB - creates fpm probabilities from input sequence and centers

% transform input sequence into one-hot-encoding seq.
ind_seq = seq2ind(next_sym_seq);
sym_cnt = max(ind_seq);
cent_count = size(clusters, 2);
len = length(ind_seq);

% create zero matrix of cluster prediction probabilities
prob = zeros(sym_cnt, cent_count);

% create probabilities
for i=(1:len),
    win = find_winner_index_rnd(inp_act(:,i), clusters);
    prob(ind_seq(i), win) = prob(ind_seq(i), win)+1;
end;

prob = prob ./ repmat(sum(prob), sym_cnt, 1);
prob(find(prob<min_prob | ~isfinite(prob))) = min_prob;
prob = prob ./ repmat(sum(prob), sym_cnt, 1);
