function res = isindseq(seq)
% ISINDSEQ(seq) - True if input 'seq' is array symbol indeces 

% check existance of input sequence
if nargin < 1,
    error('Missing input argument.');    
end;

% check dimensions
if ndims(seq)~=2 | size(seq,2)<=0 | size(seq,1)~=1,
    res = false; return;
end;    

% is type unsigned int or logical
if isa(seq, 'uint8') | isa(seq, 'uint16') | isa(seq, 'logical'),
    res = true; return;
end;    
    
% is character array
if ischar(seq),
    res = false; return;
end;        

% check double and other types
if min(seq)>=1 & all((seq - floor(seq))==0)
    res = true; return;
end;    
    
res = false;
