function res = isoheseq(seq)
% ISOHESEQ(seq) - True if input 'seq' is array of one-hot-encoded activities 

% check existance of input sequence
if nargin < 1,
    error('Missing input argument.');    
end;

% check dimensions 
if ndims(seq)~=2 | isempty(seq) | size(seq,1) < 2,
    res = false; return;
end;    

% sum of all columns must be 1
if any(sum(seq)) ~= 1,
    res = false; return;
end;    

% all columns must be 1 or 0
seq(find(seq == 1)) = 0;
if any(seq ~= 0),
    res = false; return;
end;    

% all conditions fullfilled
res = true;
    
